#!/opt/anaconda1anaconda2anaconda3/bin/perl 

eval 'exec /opt/anaconda1anaconda2anaconda3/bin/perl  -S $0 ${1+"$@"}'
    if 0; # not running under some shell

use strict;
use warnings;

while (<>) {
    my $filename = $_;
    chomp $filename;

    my $count = 0;
    
    open (my $fh, $filename) or die "Error, cannot open file $filename";
    while (<$fh>) {
        if (/^>/) {
            $count++;
        }
    }
    print "$count\t$filename\n";
    close $fh;
    
}


exit(0);

